Skip to main content
GET
/
v3
/
appointment-definitions
/
{appointmentDefinition}
/
staff
Browse Appointment Definition Staff
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/staff
{
  "data": [
    {
      "id": 123,
      "appointment_definition_id": 123,
      "staff_id": "<string>",
      "is_active": true,
      "staff": {
        "id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "<string>",
        "mobile_phone": "<string>",
        "normal_hours": [
          {
            "id": "<string>",
            "day_of_week": "<string>",
            "available_from": "<string>",
            "available_until": "<string>",
            "is_closed": "<string>"
          }
        ],
        "special_hours": [
          {
            "id": "<string>",
            "name": "<string>",
            "is_repeating": "<string>",
            "available_from": "<string>",
            "available_until": "<string>",
            "start_at": "<string>",
            "end_at": "<string>"
          }
        ]
      },
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.omneo.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

appointmentDefinition
integer
required

The appointment definition ID

Response

Array of AppointmentDefinitionStaff

data
AppointmentDefinitionStaff · object[]
required